Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
Avatar de Usuario
enriquehh
Forista Distinguido
Forista Distinguido
Mensajes: 1337
Registrado: Sab Dic 08, 2007 8:00 am

Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por enriquehh » Jue Jun 13, 2013 9:44 pm

Lamentablemente en el mundo GNU linux no existe una alternativa libre para los interesados en hacer dibujos de planos 2D profesionales con compatibilidad con el formato dwg, Sin embargo existen programas comerciales de código no libre que pueden ser del interés de muchas personas, entre estas tenemos a Drafsight y Bricscad (en este último se pueden hacer dibujos en 3d). La instalación de dichos programas en Debian Wheezy de 64 bits se realiza de la siguiente manera.

Pasos a seguir

1) En caso de instalar Drafsigth descargar el paquete deb para Ubuntu de la pagina oficial de Drafsigth. En caso de instalar Bricscad descargar el paquete deb para Ubuntu de 64 bits de la pagina web de Bricscad (por favor leer notas finales de esta guía).
2) Instalar el paquete gdebi
3) Habilitar la arquitectura i386 de la siguiente forma:

a) Abrir la terminal e identificarse como root y escribir el comando:
dpkg --add-architecture i386
b) verificar si se ha habilitado la arquitectura i386 con el comando:
dpkg --print-foreign-architectures
la salida de este comando debería ser: i386
c)apt-get update

4) Instalar los siguientes paquetes: ia32-libs, ia32-libs-gtk, libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, gtk3-engines-unico, gtk3-engines-unico:i386, gtk2-engines-murrine y gtk2-engines-murrine:i386 (los cuatro últimos paquetes son para lograr la integración con los temas gtk diferentes al de adwaitia).

Es preferible instalar los anteriores paquetes sin considerar los paquetes recomendados como dependencia, esto para tener solo las aplicaciones i386 necesarias en el sistema. Lo dicho anteriormente se logra de la siguiente manera:

a) Para los que usan Synaptic, seleccionar la opción configuración --> preferencias --> General y deshabilitan la opción " Considerar los paquetes recomendados como si fuesen dependencias", aplican los cambios e instalan los paquetes mencionados anteriormente (luego de instalados los paquetes es preferible volver ha habilitar la opción "considerar los paquetes recomendados como dependencias").
Nota: En este software en la sección "Architecture" (esquina inferior derecha) se pueden filtrar los paquetes de arquitectura i386.
b) Para los que usan apt-get, apt-get install --no-install-recommends ia32-libs ia32-libs-gtk libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 gtk3-engines-unico:i386 gtk3-engines-unico gtk2-engines-murrine:i386 gtk2-engines-murrine
c) Para los que usan aptitude, aptitude install --without-recommends ia32-libs ia32-libs-gtk libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 gtk3-engines-unico:i386 gtk3-engines-unico gtk2-engines-murrine:i386 gtk2-engines-murrine

5)
Lanzar la aplicación gdebi y dirigirse al menú archivo --> abrir, luego buscar el archivo .deb que descargamos en el paso 1) para posteriormente hacer click en la opción de instalar paquete. La ventaja de usar gdebi frente a dpkg es que el primero resolverá automáticamente las dependencias faltantes.

Otra forma de instalar con gdebi es buscar el archivo deb descargado y hacer click derecho en el archivo y elegir la opción "abrir con instalador de paquetes gdebi".

Instalar Drafsight Beta V1R5.0 en Debian Wheezy de 64 bits

Hasta la versión V1R4.0 no había inconvenientes en instalar Drafsight en Debian Wheezy de 64 bits siguiendo los pasos mencionados lineas arriba.
Cuando se intenta instalar Drafsight V1R5.0 mediante gdebi o dpkg, el sistema manda un error y no se puede instalar este software. La solución a este problema es la siguiente (previamente se debe tener instalados los paquetes mencionados párrafos anteriores):

a) Descargar la versión V1R5.0 de Drafsith para Ubuntu, en la carpeta de nuestra preferencia (para el ejemplo usaremos la carpeta llamada Descargas de nuestra carpeta personal)
b) Abrir la carpeta en la que se descargó el archivo .deb, luego realizar click derecho sobre el nombre del archivo descargado y elegir la opción "extraer aquí" (Se creara la carpeta draftSight), dentro de esta carpeta esta ubicada la subcarpeta opt y dentro de esta a su vez esta la subcarpeta dassault-systemes (esta es la carpeta en la que se encuentran los binarios del programa y cuyo contenido debemos mover o copiar al directorio /opt)
c) Para mover o copiar el contenido de la carpeta dassault-systemes al directorio /opt, abrimos la terminal como root y lanzamos el comando:

Código: Seleccionar todo

 mv /home/nombre_de_usuario/Descargas/draftSight/opt/dassault-systemes/   /opt
d) Finalmente creamos un lanzador con la ruta /opt/DraftSight/Linux/DraftSight, esto lo hacemos mediante Alacarte en gnome shell.

1) Abrir alacarte
2) Hacer click sobre gráficos luego dirigirse a la opción "elemento nuevo" y llenar los campos de la siguiente manera:

tipo: aplicación
nombre: drafsight
comando: /opt/DraftSight/Linux/DraftSight
comentario: aquí escribes lo que desees.


Corrección de problema del lanzador de Draftsigth V1R4.0 e inferiores, en gnome shell

Existe un problema en gnome shell con Drafsigth que consiste en la perdida del lanzador de la aplicación del menú de gnome. Para solucionar el problema se debe seguir los siguientes los pasos:

1) Abrir alacarte
2) Hacer click sobre gráficos luego dirigirse a la opción "elemento nuevo" y llenar los campos de la siguiente manera:

tipo: aplicación
nombre: drafsight
comando: /opt/dassault-systemes/draftsight/bin/draftsight
comentario: aquí escribes lo que desees.

3) Hacer click en aceptar y listo.

Saludos

Nota1: Drafsight se puede usar gratuitamente y de forma indefinida previa activación de licencia personal. Lo anterior se realiza apenas lanzado drafsight en su primer uso o cuando lo desees.

Nota2: Bricscad solo ofrece una demo de 30 días. La versión de Bricscad que funciona en wheezy es la versión 13 en adelante (acabo de comprobar que Bricscad 13.2.16 ya no trabaja en Debian 7.x, por lo que si se desea usar Bricscad es recomendable usar la versión 13.1.19).

Nota3: Acabo de detectar un problema en los nombres de los paquetes, era ia32-libs y no ia32libs como estaba antes, pido disculpas a los que tuvieron algún inconveniente con este error. En tal caso el nombre del paquete ha sido corregido.

Nota4: Para hacer de su conocimiento que la nueva versión de Drafsight Beta V1R4.0 funciona adecuadamente en debian Wheezy. En cuanto a la nueva versión de Bricscad 13.2.16 acabo de comprobar que necesita libc6 2.15 en adelante, lamentablemente Debian wheezy no tiene esta versión por lo que Bricscad 13.2.16 no trabaja ya en Debian Wheezy (aunque este problema es solucionable).
Última edición por enriquehh el Lun Mar 24, 2014 1:53 am, editado 7 veces en total.
Gmaster83
Forista Medio
Forista Medio
Mensajes: 106
Registrado: Sab Abr 24, 2010 9:13 pm

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por Gmaster83 » Mar Jun 18, 2013 12:47 am

Ya conocia este tip, pero igualmente gracias por compartirlo porque no hay mucha info en la red.
Por cierto, conoces algun buen programa CAM para linux?.

Saludos.
Avatar de Usuario
enriquehh
Forista Distinguido
Forista Distinguido
Mensajes: 1337
Registrado: Sab Dic 08, 2007 8:00 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por enriquehh » Mar Jun 18, 2013 2:10 am

La verdad el termino CAM recién lo he leído en tu post por ende no sabría decirte si existe algún programa con estas características en gnu linux. Con respecto a dibujo asistido por computadora compatible con el formato dwg vale la pena destacar también al programa no libre Varicad, este programa lo probé hace como tres años y esta orientado a ingeniería mecánica.

Saludos
profetalucard
Forista Nuevo
Forista Nuevo
Mensajes: 1
Registrado: Vie Mar 21, 2014 4:06 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por profetalucard » Vie Mar 21, 2014 4:08 am

amigo muchísimas gracias la verdad me sirvió mucho para la instalación de Bricscad 13.1.19 en ubuntu 13.10 con gnome clasic en arquitectura de 64 bits
chianty
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Vie Ago 09, 2013 5:06 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por chianty » Mié Abr 23, 2014 6:14 pm

Hola enriquehh!!!

Gracias por tu valioso aporte! Con tu ayuda pude usar bricscad y draftsight en mi debian 7.4.
Hasta que en un momento dejaron de funcionar. Empecé a meter demasiada mano y dejó de funcionar todo!!! jeje
Por eso decidí instalar debian 7.4, pero el problema es que, ahora, no logro hacer funcionar Bricscad. Draftsigh V1R5 funciona.
El bricscad estoy tratando tanto con la versión 14 como con la 13 pero todavía no hay caso. Has tenido alguna experiencia al respecto?
Muchas gracias!!
Te dejo un abrazo

santiago
Avatar de Usuario
enriquehh
Forista Distinguido
Forista Distinguido
Mensajes: 1337
Registrado: Sab Dic 08, 2007 8:00 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por enriquehh » Jue Abr 24, 2014 4:56 am

Hola, la versión que estoy usando de Bricscad es la 13.1.19, las versiones superiores de este programa ya no funcionan en Debian 7.4 debido a que necesitan una versión mayor del paquete libc6 (para ser exactos mayores a libc6 2.13, esto tiene solución si usas los paquetes de Debian Jessie, pero la actualización de libc6 se debe hacer con mucho cuidado). En cuanto a Drafsight V1R5.0 este si funciona en Debian 7.4.

¿Que hiciste para colapsar tu instalación anterior de Debian 7.4?

Saludos
chianty
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Vie Ago 09, 2013 5:06 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por chianty » Vie Abr 25, 2014 3:23 am

Me expresé mal! Donde había hecho funcionar todo fue en debian 7.0
En el 7.4 no me funciona Bricscad.
No colapsó pero dejé de ser capaz de arreglar los problemas y pensé que si actualizaba a la versión 7.4, desde cero, mediante instalación, no iba a tener problemas en hacer funcionar los programas CAD.
Ahora, estoy probando la última versión de la distro Fedora, mediante una máquina virtual (virtualbox) instalada en debian, y el bricscad 14 funciona de maravilla!!!
Saludos!! y gracias por contestar.
Avatar de Usuario
enriquehh
Forista Distinguido
Forista Distinguido
Mensajes: 1337
Registrado: Sab Dic 08, 2007 8:00 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por enriquehh » Vie Abr 25, 2014 5:02 am

¿Que error te manda Bricscad al ejecutarse?, asimismo cabe resaltar que la versión 13.1.19 de Bricscad funciona sin mayores problemas en Debian 7.4 (en general debería funcionar en la rama 7.x )

Saludos
chianty
Forista Nuevo
Forista Nuevo
Mensajes: 3
Registrado: Vie Ago 09, 2013 5:06 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por chianty » Lun Abr 28, 2014 6:32 am

Es que no visualizo ningún error. Simplemente se ve el indicador de actividad en la barra superior de gnome3 hasta que desaparece y listo! sin mensaje ni nada.
Avatar de Usuario
enriquehh
Forista Distinguido
Forista Distinguido
Mensajes: 1337
Registrado: Sab Dic 08, 2007 8:00 am

Re: Instalación de Drafsigth y Bricscad en Debian wheezy de 64 bits

Mensaje por enriquehh » Jue May 01, 2014 4:57 am

Hola, lanza el programa desde la terminal para ver los errores que te manda el sistema al intentar abrir bricscad, asimismo intenta borrando los archivos Bricsys, .bricsys y .bricscad (estosdos ultimos son archivos ocultos) de tu carpeta personal.

Saludos
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje